FLANG

Public Member Functions | List of all members
Fortran::common::ForwardOwningPointer< A > Class Template Reference

## Public Member Functions
| ForwardOwningPointer (A *p, void(*del)(A *))
| ForwardOwningPointer (ForwardOwningPointer &&that)
ForwardOwningPointer & | operator= (ForwardOwningPointer &&that)
A & | operator* () const
A * | operator-> () const
| operator bool () const
A * | get ()
A * | release ()
void | Reset (A *p, void(*del)(A *))

The documentation for this class was generated from the following file:

- include/flang/Common/indirection.h